
TYPO3.Flow - Task # 57583

Status: Resolved Priority: Must have
Author: Rafael Kähm Category: Configuration
Created: 2014-04-03 Assigned To:
Updated: 2014-06-12 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity:
Subject: No schema for cacheAllQueryResults in TYPO3.Flow.persistence.schema.yaml
Description

./flow configuration:validate --type Settings

shows following:

1 errors were found:
- Settings.TYPO3.Flow.persistence.cacheAllQueryResults -> This property is not allowed here, check the spelling if you think it
belongs here.

Is "additionalProperties: FALSE" in Settings/TYPO3.Flow.persistence.schema.yaml ok?

Related issues:
duplicated by TYPO3.Flow - Bug # 58853: configuration:validate -> Problems in... Resolved 2014-05-16

Associated revisions
Revision 38510119 - 2014-06-12 07:48 - Rafael Kähm

[TASK] Configuration Schema for cacheAllQueryResults

Change I15ec60786f6c7e92489a7cbf4b16625842d476fd introduced
a new setting in ``TYPO3.Flow.persistence.cacheAllQueryResults``
which was not covered in the Schema definition.
This adds the appropriate entry with being required because
the underlying code relies on this setting being set.

Change-Id: If02d9d38dd8eaae87926cc4c4509c332eb3a99b1
Resolves: #57583
Releases: master

History
#1 - 2014-04-03 18:03 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29129

#2 - 2014-04-10 14:51 - Gerrit Code Review
Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29129

#3 - 2014-04-10 14:58 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29129

#4 - 2014-04-10 15:30 - Adrian Föder
- Tracker changed from Bug to Task

#5 - 2014-04-10 15:32 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29129

#6 - 2014-06-12 07:48 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29129

#7 - 2014-06-12 08:37 - Rafael Kähm
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:38510119d1f29b8b67560565de552c61bb54ca1c.
